<style >
    .btn-group button{
        height:30px;}
    
    .amount {
        text-align: right !important;
        font-weight: bold !important;
    }
    
    .center {
        text-align: center !important;
    }
	  
    button {
        margin-left:2px;
    }
   
    #content .wrap #grid_content_1 .row-fluid.scRow .row-fluid.scRow .span12.scCol #grid_block_5 .content.np #listDetails tbody #trInfos td .row-fluid .controls-row .span3 {
        font-size: 11px;
        color: #000;
        font-weight: bold;
    }
    .test {
        font-size: 10px;
    }
    .span3 {
        font-size: 10px;
    }
    tbody {
        font-size: 10px;
    }
	 tbody td {
        font-size:11px;
	}
    #content .wrap #grid_content_1 .row-fluid.scRow .row-fluid.scRow .span12.scCol #grid_block_6 .content.np #listCharge tbody #trInfosCharge td .row-fluid .controls-row .span3 {
        font-weight: bold;
    }


</style>
<script type="application/javascript">
   
    window.onbeforeunload = function (e) {
        if (accounting.unformat( $('#outofbalance').val() ) !== 0 ){
  var message = "The out of balance is different of zero, Confirm leave ",
  e = e || window.event;
  // For IE and Firefox
  if (e) {
    e.returnValue = message;
  }

  // For Safari
  return message;
        }
};

   $(document).ready(function(){
	$('select').select2();
	$.each($(".select2-container"), function (i, n) {
            $(n).next().show().fadeTo(0, 0).height("0px").css("left", "auto"); // make the original select visible for validation engine and hidden for us
            $(n).prepend($(n).next());
            $(n).delay(500).queue(function () {
                $(this).removeClass("validate[required]"); //remove the class name from select2 container(div), so that validation engine dose not validate it
                $(this).dequeue();
            });
        });	
        jQuery('.datepicker2').datepicker({
                dateFormat : 'dd-mm-yy',
                changeMonth : true,
                changeYear : true
        });
});


    function refreshProject(){
        $.ajax({
        type: "POST",
        url: "<?php echo base_url() ?>project/refreshProject",
        success: function(data) {

        var resul = eval ("(" + data + ")"); 
        var n=resul.records.length;
        var i=0;
        var opt='' +
        '<option></option>';
        for (i=0;i<n;i++)
        opt=opt + '<option value="' + resul.records[i].id +'">' + resul.records[i].projectName + '</option>';
        $('#project').empty();
        $('#project').append(opt);
        }
        });
    }
    
    function displaybanksInfos() {
       $("#acctNo").val($("#bank option:selected").attr("data-bankAccountNo"));
   }
    
    function  activateOrDesactivate(me){
        if($(me).is(':checked')){
             var tr = $(me).parent().parent();
              v = $(tr).find("td").eq(4).text();
             $(tr).find("td").eq(5).children("input:last-child").removeAttr("disabled");
             $(tr).find("td").eq(6).children("input:last-child").removeAttr("disabled");
              $(tr).find("td").eq(5).children("input:last-child").val("0");
              $(tr).find("td").eq(6).children("input:last-child").val(v);
        }else {
            var tr = $(me).parent().parent();
             $(tr).find("td").eq(5).children("input:last-child").attr("disabled","disabled");
             $(tr).find("td").eq(6).children("input:last-child").attr("disabled","disabled");
              $(tr).find("td").eq(5).children("input:last-child").val("");
              $(tr).find("td").eq(6).children("input:last-child").val("");
        }
        getTotalDiscountAndTotalApplied();
        updateOtherCharges();
    }
     
    function loadPayerDetailsValue(){
        $.ajax({
            type: "POST",
            data: "payer=" + $("#payer").val(),
            url: "<?php echo base_url() ?>artransaction/loadPayerDetailsValue",
            success: function(data) {
                $("#bodyListPendingInvoices").empty();
                var rs = eval ("(" + data + ")"); 
                var n=rs.recordSet.length;
                $("#currency").val(rs.currency);
                $("#exchange_rate").val(rs.exchangeRate);
                $("#previewOutOfBalance").val(rs.outOfBalance);
                nList = 0;
                var tbody='';
                for (i=0;i<n;i++){
                    tbody=tbody + '<tr>' + 
                                  '    <td>' + (++nList) + '</td>' +
                                  '    <td>' + rs.recordSet[i].formNo + '</td>' +
                                  '    <td>' + rs.recordSet[i].salesInvoiceDate + '</td>' +
                                  '    <td class="amount">' + accounting.formatNumber(rs.recordSet[i].totalamount, 2)  + '</td>' +
                                  '    <td class="amount">' + accounting.formatNumber(rs.recordSet[i].totalReceivable, 2)  + '</td>' +
                                  '    <td><input onkeyup ="getTotalDiscountAndTotalApplied()" disabled type="text" class="span12 amount" /> </td>' +
                                  '    <td><input onkeyup ="getTotalDiscountAndTotalApplied()" disabled type="text" class="span12 amount" /> </td>' +
                                  '    <td><input data-invoiceID="'+ rs.recordSet[i].ID  +'" onchange="activateOrDesactivate(this)" type="checkbox" /> </td>' +
                                  '</tr>'
                }
                $("#bodyListPendingInvoices").append(tbody);
            }
        });
    }
    
    function selecOrUnselecttAll(me){
        if($(me).is(':checked')){
           $("#listDetails > tbody > tr").each (function(){
              var tr = $(this);
              v = $(tr).find("td").eq(4).text();
              $(tr).find("td").eq(5).children("input:last-child").val("0");
              $(tr).find("td").eq(6).children("input:last-child").val(v);
              $(tr).find("td").eq(7).children("input:last-child").prop("checked",true);
              $(tr).find("td").eq(5).children("input:last-child").removeAttr("disabled");
             $(tr).find("td").eq(6).children("input:last-child").removeAttr("disabled");
           });
        }else {
            $("#listDetails > tbody > tr").each (function(){
              var tr = $(this);
              v = $(tr).find("td").eq(4).text();
              $(tr).find("td").eq(5).children("input:last-child").val("");
              $(tr).find("td").eq(6).children("input:last-child").val("");
              $(tr).find("td").eq(7).children("input:last-child").prop("checked",false);
              $(tr).find("td").eq(5).children("input:last-child").attr("disabled","disabled");
             $(tr).find("td").eq(6).children("input:last-child").attr("disabled","disabled");
            });
        }
        getTotalDiscountAndTotalApplied();
    }
    
    function getTotalDiscountAndTotalApplied(){
        var totalDiscount = 0;
        var totalApplied = 0;
        $("#listDetails > tbody > tr").each (function(){
            var tr = $(this);
            var ck = $(tr).find("td").eq(6).children("input:last-child");
            if($(ck).length){
                totalDiscount += accounting.unformat($(tr).find("td").eq(5).children("input:last-child").val())*1;
                totalApplied += accounting.unformat($(tr).find("td").eq(6).children("input:last-child").val())*1;
            }else{
                totalDiscount += accounting.unformat($(tr).find("td").eq(5).text())*1;
                totalApplied += accounting.unformat($(tr).find("td").eq(6).text())*1;
            }
        });
         if (isNaN(totalDiscount))
            totalDiscount =0;
        if (isNaN(totalApplied))
            totalApplied = 0;
        $("#totalapplied").val(accounting.formatNumber(totalApplied, 2));
        $("#totaldiscount").val(accounting.formatNumber(totalDiscount, 2));
        updateOtherCharges ();
    }
     
    
    function updateTotalReceive(){
        var tRec = accounting.unformat($("#previewOutOfBalance").val())*1 + accounting.unformat($("#amountreceive").val())*1;   
        if (isNaN(ob))
            ob =0;
        if (isNaN(tRec))
            tRec = 0;
        $("#totalreceived").val(accounting.formatNumber(tRec, 2));
        var ob = accounting.unformat($("#totalreceived").val()) - accounting.unformat($("#totalapplied").val()) -accounting.unformat($("#totalotherscharges").val());
        $("#outofbalance").val(accounting.formatNumber(ob, 2));
    }
    
    function editRow(me){
        if(!$("#_mntDiscount").length){
        var tr = $(me).parent().parent();
        var td1 =$(tr).find("td").eq(5);
        var v = $(td1).text();
        $(td1).empty();
        $(td1).append (
                "<input id='_mntDiscount' data-previewvalue='" + v + "' type='text' value ='" + v +"' onkeyup='getTotalDiscountAndTotalApplied()' class='amount span12' />" 
                );
        var td2 =$(tr).find("td").eq(6);
         var v = $(td2).text();
        $(td2).empty();
        $(td2).append (
                "<input id='_montAplied' data-previewvalue='" + v + "' type='text' value ='" + v +"' onkeyup='getTotalDiscountAndTotalApplied()' class='amount span12' />" 
                );
        
        var td3 =$(tr).find("td").eq(7);
         $(td3).empty();
        $(td3).append (
                 '<button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="updatePaymentRow(this)" class="btn-icon btn-mini btn-success-form"><i class="i-checkmark-3"></i></button>' +
                  '<button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="canceledit(this)" class="btn-icon btn-mini btn-danger-form"><i class="i-cross"></i></button>'
                );
    }else {
            $("#msgDiv").attr("class","alert alert-error");
             $("#msgDiv").html("Oops !!! A row is being edit ...");
        }
        
    }
    
    function canceledit(me){
        var tr = $(me).parent().parent();
        var td1 =$(tr).find("td").eq(5);
        var v = $("#_mntDiscount").attr("data-previewvalue");
        $(td1).empty();
        $(td1).text(v);
         var v = $("#_montAplied").attr("data-previewvalue");
          var td2 =$(tr).find("td").eq(6);
         $(td2).empty(); 
        $(td2).text (v);
        
        var td3 =$(tr).find("td").eq(7);
         $(td3).empty();
        $(td3).append (
                 '<button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="editRow(this)"   class="btn-icon btn-mini btn-warning-form"><i class="i-pen"></i></button>' +
                 ' <button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="deleteRow(this)" class="btn-icon btn-mini btn-danger-form"><i class="i-trashcan"></i></button>'
                );
        getTotalDiscountAndTotalApplied();
    }
    
    function updateOtherCharges(){
         var t = accounting.unformat($("#bankcharges").val()) + accounting.unformat($("#totaldiscount").val());
         if (isNaN(t))
            t =0;
         $("#totalotherscharges").val(accounting.formatNumber(t, 2));
         $("#totalotherschargesCopy").val(accounting.formatNumber(t, 2));
         updateTotalReceive();
    } 
     
    
    
    
    function updatePaymentRow(me){
        var tr = $(me).parent().parent();
         $.ajax({
                type: "POST",
                data: {
                    
                  detaildId : $(me).attr("data-myid"),
                  discount : accounting.unformat($("#_mntDiscount").val()),
                  amountApplied : accounting.unformat($("#_montAplied").val()),
                  
                  
                  masterId:  $("#_masterId").val(),
                  memo: $("#memo").val(),
                  bankCharges:  accounting.unformat($("#bankcharges").val()),
                  totalDiscount:  accounting.unformat($("#totaldiscount").val()),
                  totalOtherCharge: accounting.unformat($("#totalotherscharges").val()),
                  totalApplied:  accounting.unformat($("#totalapplied").val()),
                  totalReceived : accounting.unformat($("#totalreceived").val()),
                  outOfBalance : accounting.unformat($("#outOfBalance").attr("data-OldValue")) - accounting.unformat($("#outOfBalance").val()) ,
                  
                  invoiceId:  $(me).attr("data-invoiceid"),
                  totalReceivable : accounting.unformat($("#_montAplied").attr("data-previewvalue")) - accounting.unformat($("#_montAplied").val()) + accounting.unformat($(tr).find("td").eq(4).text()),
            
                },
                url: "<?php echo base_url() ?>arTransaction/updatePaymentRow",
                success: function(data) {
                    if (data>0){ 
                        $("#msgDiv").attr("class","alert alert-success");
                        $("#msgDiv").html("Well Done !!! Payment Successfully Updated ");
                    } else {
                        $("#msgDiv").attr("class","alert alert-error");
                        $("#msgDiv").html("Oops !!! fail to update data ");
                    }
                    var td1 =$(tr).find("td").eq(5);
                    var v = $("#_mntDiscount").val();
                    $(td1).empty();
                    $(td1).text(v);
                     var v = $("#_montAplied").val();
                      var td2 =$(tr).find("td").eq(6);
                     $(td2).empty(); 
                    $(td2).text (v);

                    var td3 =$(tr).find("td").eq(7);
                     $(td3).empty();
                    $(td3).append (
                             '<button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="editRow(this)"   class="btn-icon btn-mini btn-warning-form"><i class="i-pen"></i></button>' +
                             ' <button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="canceledit(this)" class="btn-icon btn-mini btn-danger-form"><i class="i-trashcan"></i></button>'
                            );
                      }
            });
            
        
    }
    function deleleteTR(me){
           var td=me.parentNode;
              var tr=td.parentNode;
              var tBody=tr.parentNode;
              tBody.removeChild(tr);
    }
 
    function deleteRow(me){
            $("#_popupTitle").html("Confirm delete");
            $("#_popupContent").html("Your about to delete definively this row. <br/> Click on ok to confirm");
            $('#_popupFooter').empty();
            $('#_popupFooter').append('<button class="btn-form btn-success-form" id="_ok">Ok</button>' +
            '<button class="btn-form btn-danger-form" id="canb">Cancel</button>');
            $("#_popupTitle").html("Confirm delete");
            $("#canb").click(function() {
            $('#popupModal').modal('hide');
         });
          $('#popupModal').modal('show');
         $("#_ok").click(function() {
            $('#popupModal').modal('hide');
          //  discount : accounting.unformat($("#_mntDiscount").val()),
          //  amountApplied : accounting.unformat($("#_montAplied").val()),
            
            var tr = $(me).parent().parent();
            var myid =$(me).attr("data-myid");
            $(tr).find("td").eq(4).text();
            
            $(tr).find("td").eq(7).children("button:first-child").trigger( "click" );
            $("#_mntDiscount").val(0);
            $("#_montAplied").val(0);
            
            getTotalDiscountAndTotalApplied();
            
            
              $.ajax({
                type: "POST",
                data: {
                    
                  detaildId : $(me).attr("data-myid"),
                  discount : accounting.unformat($("#_mntDiscount").val()),
                  amountApplied : accounting.unformat($("#_montAplied").val()),
                  
                  
                  masterId:  $("#_masterId").val(),
                  memo: $("#memo").val(),
                  bankCharges:  accounting.unformat($("#bankcharges").val()),
                  totalDiscount:  accounting.unformat($("#totaldiscount").val()),
                  totalOtherCharge: accounting.unformat($("#totalotherscharges").val()),
                  totalApplied:  accounting.unformat($("#totalapplied").val()),
                  totalReceived : accounting.unformat($("#totalreceived").val()),
                  outOfBalance : accounting.unformat($("#outOfBalance").attr("data-OldValue")) - accounting.unformat($("#outOfBalance").val()) ,
                  
                  invoiceId:  $(me).attr("data-invoiceid"),
                  totalReceivable : accounting.unformat($("#_montAplied").attr("data-previewvalue")) - accounting.unformat($("#_montAplied").val()) + accounting.unformat($(tr).find("td").eq(4).text()),
            
                },
                url: "<?php echo base_url() ?>arTransaction/updatePaymentRow",
                success: function(data) {
                      }
            });
            var adf = document.getElementById("_montAplied");
            
            deleleteTR (adf);
            
            $.ajax({
                   type: "POST",
                    data: {
                    id :myid
                    },
                    url: "<?php echo base_url() ?>artransaction/deletePaymentDetailRow",
                    success: function(data) {
                         $("#msgDiv").attr("class","alert alert-success");
                        $("#msgDiv").html("Payment Successfully deleted ");
              } });  
    });
    }
    
    function addInvoices(){
        $("#listDetails").append("<tr id='_mytr'><td colspan='7'>\n\
         <div class='alert alert-info'>Out Standing Invoices</div></td><td class='center'><input onchange='selecOrUnselecttAll(this)' type='checkbox' /></td></tr>");
         $.ajax({
            type: "POST",
            data: "payer=" + $("#payer").attr("data-id"),
            url: "<?php echo base_url() ?>artransaction/loadPayerDetailsValue",
            success: function(data) {
                var rs = eval ("(" + data + ")"); 
                var n=rs.recordSet.length;
                nList = 0;
                var tbody='';
                for (i=0;i<n;i++){
                    tbody=tbody + '<tr>' + 
                                  '    <td>' + (++nList) + '</td>' +
                                  '    <td>' + rs.recordSet[i].formNo +  '</td>' +
                                  '    <td>' + rs.recordSet[i].salesInvoiceDate + '</td>' +
                                  '    <td class="amount">' + accounting.formatNumber(rs.recordSet[i].totalamount, 2)  + '</td>' +
                                  '    <td class="amount">' + accounting.formatNumber(rs.recordSet[i].totalReceivable, 2)  + '</td>' +
                                  '    <td><input onkeyup ="getTotalDiscountAndTotalApplied()" disabled type="text" class="span12 amount" /> </td>' +
                                  '    <td><input onkeyup ="getTotalDiscountAndTotalApplied()" disabled type="text" class="span12 amount" /> </td>' +
                                  '    <td class="center"><input data-invoiceID="'+ rs.recordSet[i].ID  +'" onchange="activateOrDesactivate(this)" type="checkbox" /> </td>' +
                                  '</tr>'
                }
                $("#listDetails").append(tbody);
                $("#btnSave").text("Save");
                $("#btnSave").attr("onclick","saveNewInvoices()");
                
            }
        });
    }
    
    function saveNewInvoices(){
            pDetails ='{"rs":[';
            firstime = true;
           // var selectedRow = "";
            var myRows =$("#totalreceived").attr("data-lastRow");
            $("#listDetails > tbody > tr").each (function(){
                var tr = $(this);
                var ck = $(tr).find("td").eq(7).children("input:last-child");

                if($(ck).is(':checked')){
                    str ='';
                    if (firstime){
                     firstime = false;
                     str = ''
                    }else {
                       firstime = false;
                        str = ',' 
                    }
                    arBalance = accounting.unformat($(tr).find("td").eq(4).text())*1;
                    mntDiscount = accounting.unformat($(tr).find("td").eq(5).children("input:last-child").val())*1;
                    mntApplied = accounting.unformat($(tr).find("td").eq(6).children("input:last-child").val())*1;
                    pDetails += str + '{"invoiceID":"' + $(ck).attr("data-invoiceid") + '"' +
                                  ',"amountApplied":"' + mntApplied + '"' +
                                  ',"arBalance":"' + arBalance + '"' +
                                  ',"discount":"' + mntDiscount + '"}';
                   /* selectedRow = selectedRow + '<tr><td>' + (++myRows) + '</td>\n\
                                                     <td>' + $(tr).find("td").eq(1).text() + '</td>\n\
                                                     <td>' + $(tr).find("td").eq(2).text() + '</td>\n\
                                                     <td>' + $(tr).find("td").eq(3).text() + '</td>\n\
                                                     <td>' + $(tr).find("td").eq(4).text() + '</td>\n\
                                                                                            '; */
                }
            });
            pDetails += ']}';
            
            $.ajax({
                type: "POST",
                data: {
                  lastLine : $("#totalreceived").attr("data-lastRow"),
                  masterId:  $("#_masterId").val(),
                  memo: $("#memo").val(),
                  bankCharges:  accounting.unformat($("#bankcharges").val()),
                  totalDiscount:  accounting.unformat($("#totaldiscount").val()),
                  totalOtherCharge: accounting.unformat($("#totalotherscharges").val()),
                  totalApplied:  accounting.unformat($("#totalapplied").val()),
                  totalReceived : accounting.unformat($("#totalreceived").val()),
                  outOfBalance : accounting.unformat($("#outOfBalance").attr("data-OldValue")) - accounting.unformat($("#outOfBalance").val()) ,
                  pdetail : pDetails
                },
                url: "<?php echo base_url() ?>arTransaction/addpaymentdetailsOnly",
                success: function(data) {
                    if (data>0){ 
                        $("#btnSave").attr("class"," btn-form btn-success-form disabled");
                        $("#msgDiv").attr("class","alert alert-success");
                        $("#msgDiv").html("Well Done !!! Update Successfully made ");
                    } else {
                        $("#msgDiv").attr("class","alert alert-error");
                        $("#msgDiv").html("Oops !!! fail to update data ");
                    }
                    location.reload();
                }
            });
    }
 

    function updateMaster(){
        if(confirm('Please, confirm update ...')){
       
    $.ajax({
    type: "POST",
            data: {
                     masterId:  $("#_masterId").val(),
                    project : $("#project").val(),
                    referenceNo : $("#referenceNo").val(),
                     date : $("#receivePaymentDate").val(),
                    memo : $("#memo").val()

            },
            url: "<?php echo base_url() ?>Artransaction/update_receivePayment_header",
            success: function(data) {
                alertbox ("Details successfully saved",1);
            }
    }); //end ajax
}
    }

</script>

<div id="content"> 
    <div class="wrap">
        <div class="head">
            <div class="info">
                <!--<h1><?php echo element('compName', $this->session->userdata('logged_in')) ?> [ 
				<?php echo element('compNo', $this->session->userdata('logged_in')) ?> ]</h1>-->
                <ul class="breadcrumb">
                    <li><a href='<?php echo base_url() . "home" ?>'><?php echo $this->lang->line('dashboard') ?></a> <span class="divider">-</span></li>
                    <li><a href='<?php echo base_url() . "gl/home" ?>'> <?php echo $this->lang->line('module') ?></a> <span class="divider">-</span></li>
                    <li class="active"><?php echo $this->lang->line('title') ?></li>
                </ul>
            </div>

            <div class="search">
                <form action="<?php echo base_url() ?>admin/search" method="post">
                    <input name="search_text" type="text" placeholder="search..."/>                                
                    <button type="submit"><span class="i-magnifier"></span></button>
                </form>
            </div>        

        </div><!-- head --> 
        <div class="content" id="grid_content_1">
            <form id="paymentForm" action="#">                  
				<div class="block">
					<div class="head">
						<h2><strong><?php echo $this->lang->line('title') ?></strong></h2>
					</div><!-- head -->
					<div class="content np">
					<?php
						$address = "";
						$memo ="";
						$totalReceive = "";
						$totalApplied = "";
						$totalOtherCharges = "";
						$outOfBalance = "";
						$totalDiscount = "";
						$totalBankCharge = "";
                     
						if ($master){	 
							foreach($master as $rowIn){
								$memo =$rowIn->memo;
								$totalReceive = $rowIn->totalReceived;
								$totalApplied = $rowIn->totalApplied;
								$totalOtherCharges = $rowIn->totalOtherCharge;
								$outOfBalance = $rowIn->outOfBalance;
								$totalDiscount = $rowIn->totalDiscount;
								$totalBankCharge = $rowIn->bankCharges;
					?> 
					<div class="row-fluid scRow"> 
						<div class="span6 scCol">
							<div class="block" id="grid_block_1">
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('payer') ?></div>
                                    <div class="span8">
										<div class="span12">
											<input type="hidden" id="_masterId" value="<?php echo $rowIn->myid ?>" />
											<input id="payer" data-id="<?php echo $rowIn->customerID ?>" value="<?php echo $rowIn->customerName; ?>" type="text" disabled="disabled"/>
										</div>
									</div>
                                </div> <!--control row -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('currency') ?></div>
                                    <div class="span8">
										<div class="span12">
											<input value="<?php echo $rowIn->currencyWord ?>" type="text" disabled="disabled" class="span12"/> 
										</div><!-- span -->
                                    </div><!-- span -->
                                </div><!-- control row -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('exchangerate') ?></div>
                                    <div class="span8">
                                         <input value="<?php echo number_format($rowIn->exchangeRate,5); ?>" type="text" disabled="disabled" class="span12 validate[required] tar"/>           
                                    </div><!-- span -->
                                </div><!-- control row -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('project') ?></div>
                                    <div class="span8">
                                           <select id="project" class="span12">
                                                    <option></option>
                                                    <?php
                                                        if ($project != '') {
                                                            foreach ($project as $Prow) {
                                                        ?>
                                                            <option <?php if($Prow->ID == $rowIn->projectID ) echo "selected" ?> value="<?php echo $Prow->ID; ?>"><?php echo $Prow->project_name; ?></option>
                                                        <?php }
                                                    } ?>
                                                </select>
                                    </div>
                                </div> <!-- row control -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('formno') ?></div>
                                    <div class="span8">
                                        <input value="<?php echo $rowIn->formNo ?>" type="text" disabled="disabled" class="span12"/>
                                    </div>
                                </div> <!-- row -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('date') ?></div>
                                    <div class="span8">
                                         <input class="datepicker2 validate[required] financhk span12" id="receivePaymentDate" value="<?php echo date("d-m-Y",strtotime($rowIn->receivePaymentDate)) ?>" type="text" />
                                    </div>
                                </div> <!-- row -->
                        </div><!-- block --- grid block 1-->                                         
                    </div><!-- scCol -->
					
                    <div class="span6 scCol">
                        <div class="block" id="grid_block_2">
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('bank') ?></div>
                                    <div class="span8">
                                       <input value="<?php echo $rowIn->bankName ?>" type="text" disabled="disabled" class="span12"/>
                                    </div><!-- span -->
                                </div><!-- control row -->
                                
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('acctno') ?></div>
                                    <div class="span8">
                                        <input value="<?php echo $rowIn->bankAccountNo ?>" type="text" disabled="disabled" class="span12"/>
                                    </div><!-- span -->
                                </div><!-- control row -->
                                 
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('paymentmethod') ?></div>
                                    <div class="span8">
                                         <input value="<?php echo $rowIn->paymentMethod ?>" type="text" disabled="disabled" class="span12"/>
                                    </div><!-- span -->
                                </div><!-- control row -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('refno') ?></div>
                                    <div class="span8">
                                         <input id="referenceNo" value="<?php echo $rowIn->referenceNo ?>" type="text" class="span12"/>            
                                    </div><!-- span -->
                                </div><!-- control row -->
                                
                                 <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('previewOutOfBalance') ?></div>
                                    <div class="span8">
                                        <input  value="<?php echo number_format($rowIn->outOfBalance,2) ?>" id="previewOutOfBalance" type="text" disabled="disabled" class="span12 amount"/>            
                                    </div><!-- span -->
                                </div><!-- control row -->
                                
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('amountreceive') ?></div>
                                    <div class="span8">
                                        <input value="<?php echo number_format($rowIn->totalReceived,2) ?>"  onkeyup="updateTotalReceive()" disabled="disabled" type="text" id="amountreceive" class="span12 amount"/>            
                                    </div><!-- span -->
                                </div><!-- control row -->
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
					
                <div class="row-fluid scRow">                            
					<div class="span12 scCol">
						<textarea placeholder="<?php echo $this->lang->line('memo') ?>"  id="memo" class="span12"><?php echo $memo; ?></textarea>
					</div>
				</div>

                <div class="footer">
					<div class="side fr">
						<div class="btn-group">
							<button  onclick="updateMaster()" class="btn-form btn-success-form" type="button" title="<?php echo $this->lang->line('submit') ?>">
							<?php echo $this->lang->line('update') ?>
							</button>
						</div><!-- btn group -->      
					</div><!-- side fr -->      
				</div><!-- footer -->  
            </div>
            <?php }}?>
               
                <div class="row-fluid scRow">                            
                    <div class="span12 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="head">
                                <h2><?php echo $this->lang->line('listofinvoices') ?></h2>
                                <ul class="buttons">
                                    <li><a class="block_toggle collapsed" data-toggle="collapse" data-parent="#accordion2" href="#collapseOne">
                                            <span class="i-arrow-down-3"></span>
                                        </a></li>
                                </ul>                                        
                            </div><!-- head -->
                            <div class="content np">
                                <table id="listDetails" cellpadding="0" cellspacing="0" width="100%">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th><?php echo $this->lang->line('invoiceno') ?></th>
                                            <th><?php echo $this->lang->line('invoicedate') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('totalamount') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('arbalance') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('discount') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('amountapplied') ?></th>
                                            <th class="center"><?php echo $this->lang->line('action') ?></th>
                                        </tr>
                                    </thead>
                                    <tbody id="bodyListPendingInvoices">
                                        <?php
                                         $lastRow = 0;
                                        if ($details){	 
                                             foreach($details as $row){
                                                 if ($row->lineNo>$lastRow)
                                                     $lastRow = $row->lineNo;
                                        ?> 
                                        <tr>
                                            <td><?php echo $row->lineNo ?></td>
                                            <td><?php echo $row->formNo ?></td>
                                            <td><?php echo $row->salesInvoiceDate ?></td>
                                            <td class="amount"><?php echo number_format($row->totalamount,2) ?></td>
                                            <td class="amount"><?php echo number_format($row->totalReceivable,2) ?></td>
                                            <td class="amount"><?php echo number_format($row->discount,2) ?></td>
                                            <td class="amount"><?php echo number_format($row->amountApplied,2) ?></td>
                                            <td class="center">
                                                <button data-invoiceid="<?php echo $row->invoiceID ?>" data-myid="<?php echo $row->myid ?>" onclick="editRow(this)" class="btn-icon btn-mini btn-warning-form"><i class="i-pen"></i></button>
                                                <button data-invoiceid="<?php echo $row->invoiceID ?>" data-myid="<?php echo $row->myid ?>" onclick="deleteRow(this)" class="btn-icon btn-mini btn-danger-form"><i class="i-trashcan"></i></button>
                                            </td>
                                        </tr>
                                        <?php }} ?>										
                                    </tbody>
                                </table>  
								<div class="controls-row">
									<tr id="trInfosCharge">
                                            <td colspan="8">
                                                <div id="msg_div2" class="alert alert-info">
                                                    <h4><?php echo $this->lang->line('lastMessage') ?></h4>
                                                    <p style="padding-top:10px;"><?php echo $this->lang->line('noMessage') ?></p>
                                                </div>
                                            </td>
                                    </tr>
								</div>
                            </div><!-- content -->
                        </div><!-- grid block 4-->
                    </div><!-- scCol -->
                </div><!-- row-fluid scRow-->

				
                <div class="row-fluid scRow">                                    
                    <div class="span6 scCol">
                        <div class="block" id="grid_block_4">                          
                                <div class="controls-row">
                                    <div class="span5"><?php echo $this->lang->line('totaldiscount') ?></div>
                                    <div class="span7">
                                        <input id="totaldiscount" data-oldValue ="<?php echo $totalDiscount; ?>"  value="<?php echo $totalDiscount; ?>" class="span12 amount" type="text" placeholder="0" disabled="disabled" >
                                    </div>
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span5"><?php echo $this->lang->line('bankcharges') ?></div>
                                    <div class="span7">
                                        <input id="bankcharges" data-oldValue ="<?php echo $totalBankCharge; ?>"  value="<?php echo $totalBankCharge; ?>" class="span12 amount" type="text" onkeyup="updateOtherCharges()" placeholder="0">
                                    </div>
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span5"><?php echo $this->lang->line('totalotherscharges') ?></div>
                                    <div class="span7">
                                        <input id="totalotherscharges" data-oldValue ="<?php echo $totalOtherCharges; ?>"  value="<?php echo $totalOtherCharges; ?>" disabled="disabled"  class="span12 amount" type="text" placeholder="0">
                                    </div>
                                </div><!-- row control -->
								 <div class="controls-row">
                                    <div class="span5"></div>
                                    <div class="span7">
                                       
                                    </div>
                                </div><!-- row control -->
                               
                       
                        </div><!-- grid block 6-->
                    </div><!-- scCol -->
                    
                    <div class="span6 scCol">		
                        <div class="block" id="grid_block_4">
                           
                                <div class="controls-row">
                                    <div class="span5"><?php echo $this->lang->line('totalreceived') ?></div>
                                    <div class="span7">                                         
                                        <input data-lastRow="<?php echo $lastRow; ?>" onchange="updateTotalReceive()" id="totalreceived" class="span12 amount" data-oldValue ="<?php $totalReceive ?>" value="<?php echo number_format($totalReceive,2); ?>" type="text" placeholder="0" disabled="disabled" >
                                    </div>
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span5"><?php echo $this->lang->line('totalapplied') ?></div>
                                    <div class="span7">
                                        <input id="totalapplied" data-oldValue ="<?php echo $totalApplied; ?>" class="span12 amount validate[required min[1]]" value="<?php echo number_format($totalApplied,2); ?>" type="text" disabled="disabled"  placeholder="0">
                                    </div>
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span5"><?php echo $this->lang->line('totalotherscharges') ?></div>
                                    <div class="span7">
                                        <input id="totalotherschargesCopy" data-oldValue ="<?php echo  $totalOtherCharges; ?>" value="<?php echo number_format($totalOtherCharges,2); ?>" disabled="disabled"  class="span12 amount" type="text" placeholder="0">
                                    </div>
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span5"><?php echo $this->lang->line('outofbalance') ?></div>
                                    <div class="span7">
                                        <input id="outofbalance" disabled="disabled" data-oldValue ="<?php echo $outOfBalance; ?>" value="<?php echo number_format($outOfBalance,2); ?>"  class="span12 amount" type="text" placeholder="0">
                                    </div>
                                </div><!-- row control -->                 
                        
								
						 
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
                </div><!-- row-fluid scRow-->
				
				 <div class="row-fluid scRow">  
					<div class="span12 scCol">
                        <div class="block" id="grid_block_4">
							<div class="footer">
									<div class="side fr">
										   <div class="btn-group">
												<a href="<?php echo base_url() ?>artransaction/receivedpaymentpost" class="btn-form btn-warning-form ">Confirm List</a>
												<a id="btnSave" onclick="addInvoices()" class="btn-form btn-success-form"><?php echo $this->lang->line('addinvoice') ?></a>
	                                      </div><!-- btn group -->      
                                    </div><!-- side fr -->      
                             </div><!-- footer -->   
						</div><!-- block-->
					</div><!-- span -->   
				 </div><!-- row-fluid scRow-->
				 
				  </div>
                </div>
				</div>
            </form>
        </div><!-- grid 1 -->
    </div><!-- wrap -->
</div><!-- content -->



